<script setup lang="ts">
import DeleteModal from "@/components/modals/DeleteModal.vue";

const props = defineProps<{
  modalId: string;
  accessKey?: string;
  backModalId?: string;
}>();

const emit = defineEmits<{
  (e: "confirm-delete", keyId: string): void;
}>();

function deleteKey() {
  if (props.accessKey != undefined) {
    emit("confirm-delete", props.accessKey);
    window._paq?.push(["trackEvent", "Delete", "s3key"]);
  }
}
</script>

<template>
  <delete-modal
    :modal-id="props.modalId"
    :back-modal-id="props.backModalId"
    delete-type="S3 Key"
    :disabled="props.accessKey == undefined"
    @confirm-delete="deleteKey"
  >
    <template #body>
      <p>
        Are you sure you want to delete the S3 key with the ID
        <strong v-if="props.accessKey">{{ props.accessKey }}</strong
        >?<br />
        You can't access your buckets with this key anymore.
      </p>
    </template>
  </delete-modal>
</template>

<style scoped></style>
